Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_MCast_Flow_Handler Class Reference

Flow Handler for data sent over multicast sockets. More...

`#include <MCast.h>`

Inheritance diagram for TAO_AV_UDP_MCast_Flow_Handler

[legend]
Collaboration diagram for TAO_AV_UDP_MCast_Flow_Handler:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_MCast_Flow_Handler (void)
| Ctor Dtor.
| ~TAO_AV_UDP_MCast_Flow_Handler (void)
virtual ACE_HANDLE | get_handle (void) const
virtual int | handle_input (ACE_HANDLE fd)
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg = 0)
ACE_SOCK_Dgram_Mcast* | get_mcast_socket (void) const
virtual ACE_Event_Handler* | event_handler (void)
| get the underlying event handler. To be overridden by the derived clases.
## Protected Attributes
ACE_INET_Addr | peer_addr_
ACE_SOCK_Dgram_Mcast* | dgram_mcast_

## Detailed Description

Flow Handler for data sent over multicast sockets.

## Constructor & Destructor Documentation

TAO_AV_UDP_MCast_Flow_Handler::TAO_AV_UDP_MCast_Flow_Handler ( | void )

| Ctor Dtor.

TAO_AV_UDP_MCast_Flow_Handler::~TAO_AV_UDP_MCast_Flow_Handler ( | void )

## Member Function Documentation

ACE_Event_Handler * TAO_AV_UDP_MCast_Flow_Handler::event_handler ( | void )`[inline, virtual]`

| get the underlying event handler. To be overridden by the derived clases. Reimplemented from TAO_AV_Flow_Handler.

ACE_HANDLE TAO_AV_UDP_MCast_Flow_Handler::get_handle ( | void ) const`[virtual]`

| Reimplemented from ACE_Event_Handler.

ACE_INLINE ACE_SOCK_Dgram_Mcast * TAO_AV_UDP_MCast_Flow_Handler::get_mcast_socket ( | void ) const

int TAO_AV_UDP_MCast_Flow_Handler::handle_input ( | ACE_HANDLE fd )`[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_AV_UDP_MCast_Flow_Handler::handle_timeout ( | const ACE_Time_Value & tv,
| const void * arg = 0 )`[virtual]`

| Reimplemented from ACE_Event_Handler.

## Member Data Documentation

ACE_SOCK_Dgram_Mcast * TAO_AV_UDP_MCast_Flow_Handler::dgram_mcast_`[protected]`

ACE_INET_Addr TAO_AV_UDP_MCast_Flow_Handler::peer_addr_`[protected]`

The documentation for this class was generated from the following files:

- MCast.h
- MCast.cpp
- MCast.i